using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using BackEnd.Model;

namespace Web
{
    public partial class QueryComp : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DAO dao = new DAO();
            String type = Request.Params.Get("Type");
            String manufacturer = Request.Params.Get("Manufacturer");

            CompGrid.DataSource = dao.GetComputerList(type, manufacturer);
            CompGrid.DataBind();
        }
    }
}
